de.dhbwstuttgart.syntaxtree.statement

## Class Receiver

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.statement.Receiver

    public class Receiver
    extends java.lang.Object

### Field Summary

Fields
`private Expr` `expr`
`protected static Logger` `parserlog`

### Constructor Summary

Constructors
Constructor and Description
`Receiver(Expr expr)` Autor: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

### Method Summary

All Methods Instance Methods Concrete Methods
`Expr` `get_Expr()`
`java.lang.String` `get_Type()`
`JavaCodeResult` `printJavaCode(ResultSet resultSet)`
`void` `set_Expr(Expr express)`
`java.lang.String` `toString()` Author: Martin PlÃ¯Â¿Â½micke

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### expr

    private Expr expr

#### parserlog

    protected static Logger parserlog

### Constructor Detail

#### Receiver

    public Receiver(Expr expr)

Autor: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Parameters:
  `expr` -

### Method Detail

#### get_Type

    public java.lang.String get_Type()

#### set_Expr

    public void set_Expr(Expr express)

#### get_Expr

    public Expr get_Expr()

#### toString

    public java.lang.String toString()

Author: Martin PlÃ¯Â¿Â½micke

Overrides:
  `toString` in class `java.lang.Object`
Returns:

#### printJavaCode

    public JavaCodeResult printJavaCode(ResultSet resultSet)